- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
SplitNodes< DGR >::CombinedNodeMap< IN, OUT > Class Template Reference

## Detailed Description

### template<typename DGR>
template<typename IN, typename OUT>
class lemon::SplitNodes< DGR >::CombinedNodeMap< IN, OUT >

This map adaptor class adapts two node maps of the original digraph to get a node map of the split digraph. Its value type is inherited from the first node map type (`IN`).

Template Parameters

  IN | The type of the node map for the in-nodes.
  OUT | The type of the node map for the out-nodes.

`#include <lemon/adaptors.h>`

## Public Types
typedef Node | Key
| The key type of the map.
typedef IN::Value | Value
| The value type of the map.

## Public Member Functions
| CombinedNodeMap (IN &in_map, OUT &out_map)
| Constructor.
Value | operator[] (const Key &key) const
| Returns the value associated with the given key.
Value & | operator[] (const Key &key)
| Returns a reference to the value associated with the given key.
void | set (const Key &key, const Value &value)
| Sets the value associated with the given key.